{
  description = "KropCloud system flakes";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable-small";

    disko = {
      url = "github:nix-community/disko";
      inputs.nixpkgs.follows = "nixpkgs";
    };
  };

  outputs =
    inputs@{ self, nixpkgs, ... }:
    let
      kclib = import ./lib.nix {
        nixpkgs = inputs.nixpkgs;
        inputs = inputs;
      };
    in
    {
      nixosConfigurations = {
        tailscale-proxy = kclib.mkHost {
          name = "tailscale-proxy";
        };
        entrypoint = kclib.mkHost {
          name = "entrypoint";
        };
        hydra = kclib.mkHost {
          name = "hydra";
        };
      };
      formatter.x86_64-linux = nixpkgs.legacyPackages.x86_64-linux.nixfmt-rfc-style;
    };
}
